/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.area.views;

import javax.swing.text.BoxView;
import javax.swing.text.Element;
import java.awt.*;

/**
 * @author Vity
 */
final class RiderSectionView extends BoxView {
    public RiderSectionView(final Element e, final int axis) {
        super(e, axis);
//            super.setInsets((short)0, (short)0, (short)0, (short)0);    //call to super
    }

//        protected void setInsets(short top, short left, short bottom, short right) {
//            super.setInsets(top, (short)(left + 30), bottom, right);    //call to super
//        }
//        public void paint(Graphics g, Shape allocation) {
//            super.paint(g, allocation);    //call to super
//            final Rectangle r = (allocation instanceof Rectangle) ? (Rectangle) allocation : allocation.getBounds();
//            g.setColor(Color.BLUE);
//            g.drawRect(r.x, r.y, r.width, r.height);
//        }

    public final void paintChild(final Graphics g, final Rectangle r, final int n) {
        if (n > 0) {
            final RiderParagraphView child = (RiderParagraphView) this.getView(n - 1);

            final RiderParagraphView current = (RiderParagraphView) this.getView(n);
            current.shift = child.shift + child.childCount;
        }
//            g.setColor(Color.BLUE);
//            g.drawRect(r.x, r.y, r.width, r.height);
        super.paintChild(g, r, n);
    }
}