/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.actions;

import java.awt.event.ActionEvent;

/**
 * @author Vity
 */
public class RunGCAction extends CoreAction {
    private final static RunGCAction instance = new RunGCAction();
    private static final String CODE = "RunGCAction";

    public static final RunGCAction getInstance() {
        return instance;
    }

    private RunGCAction() {
        super(CODE, null, null);    //call to super
    }

    public void actionPerformed(final ActionEvent e) {
        System.gc();
    }
}
