package net.wordrider.utilities;

public final class Consts {
    public static int LOG_SEVERITY = Utils.INFO_LOG;

    public static final String APPVERSION = "WordRider 0.55";

    public static final int DEFAULT_RECENT_FILES_MAX_COUNT = 5;

    public static final String WEBURL = "http://wordrider.net";
    public static final String WEBMAIL = "info@wordrider.net";
    public static final String WEBMAILCMD = "mailto:" + WEBMAIL;
    public static final String RESOURCESDIR = "resources/";
    public static final String IMAGESDIR = RESOURCESDIR + "images/";
    public static final String FONTDIR = RESOURCESDIR + "fonts/";
    public static final String LANGUAGESDIR = RESOURCESDIR + "languages/";
    public static final String SOUNDSDIR = RESOURCESDIR + "sound/";
    public static final String LINE_SEPARATOR = "\n";
    public static final String LAFSDIRFILE = RESOURCESDIR + "lookandfeels/lookandfeels.properties";

    public static final String WEBURL_CHECKNEWVERSION = "http://wordrider.net/check.php";

    public static final int XOR_VALUE = 35132;

    private Consts(){
        
    }
}
